from os.path import abspath, dirname, join
from jinja2 import Environment, FileSystemLoader, select_autoescape
from markdown import markdown

here = dirname(abspath(__file__))

env = Environment(loader=FileSystemLoader(here), autoescape=False)
index_tmpl = env.get_template('index.html')

with open(here + '/index.md') as fd:
    index_md = fd.read()
content = markdown(index_md, extensions=['smarty', 'def_list', 'attr_list'])

print(index_tmpl.render(content=content))
